Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.exc
Class CodeConstraintException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
                              |
                              +--org.apache.bcel.verifier.exc.VerificationException
                                    |
                                    +--org.apache.bcel.verifier.exc.CodeConstraintException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  StaticCodeConstraintException, StructuralCodeConstraintException

public abstract class CodeConstraintException
extends VerificationException

Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file does not pass the verification pass 3. Note that the pass 3 used by "JustIce" involves verification that is usually delayed to pass 4.

Version:
  $Id: CodeConstraintException.java,v 1.1.1.1 2001/10/29 20:00:33 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  Serialized Form

Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
`extendMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.